> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a client from the lead, or associate an existing one when client_id is given



## OpenAPI

````yaml /generated/specs/sales.json put /api/v1/crm/objects/leads/{id}/associations/companies
openapi: 3.0.0
info:
  title: Raul API - Ventas
  description: >-
    Cotizaciones, pipeline, outreach comercial, equipos cotizables y ventas de
    equipamiento.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/crm/objects/leads/{id}/associations/companies:
    put:
      tags:
        - CRM Objects
      summary: >-
        Create a client from the lead, or associate an existing one when
        client_id is given
      operationId: CrmLeadsController_associateCompany
      parameters:
        - name: id
          required: true
          in: path
          description: Website lead submission id
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token de sesión Better Auth para rutas de backoffice; las rutas de
        portal usan su token propio.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.